//
//  ELDetailViewController.m
//  EditList
//
//  Created by Felix Rohrer on 22.03.13.
//  Copyright (c) 2013 Felix Rohrer. All rights reserved.
//

#import "ELDetailViewController.h"
#import "ELEditViewViewController.h"

#import "DataProvider.h"
#import "PersonData.h"

@interface ELDetailViewController ()

@end

@implementation ELDetailViewController

#pragma mark - Managing the detail item

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    self.editViewController = [[ELEditViewViewController alloc] init];
    self.editViewController.modalTransitionStyle = UIModalTransitionStyleCrossDissolve;
}

-(void)viewWillAppear:(BOOL)animated {
    //NSLog(@"viewDidLoad: %@", self.personData.firstName);
    self.firstNameLabel.text = self.personData.firstName;
    self.lastNameLabel.text = self.personData.lastName;
    self.zipLabel.text = [NSString stringWithFormat:@"%d", self.personData.plz];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        self.title = @"DetailView";
    }
    return self;
}
							
- (IBAction)editButtonPressed:(UIButton *)sender {

    self.editViewController.personData = self.personData;
    [self presentViewController:self.editViewController animated:YES completion:nil];
    
}
@end
